Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062929 - [RFE] upgrade rhevm-dwh to 3.4.0
Summary: [RFE] upgrade rhevm-dwh to 3.4.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Yaniv Lavi
QA Contact: Barak Dagan
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-02-08 20:35 UTC by Alon Bar-Lev
Modified: 2016-02-10 19:18 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
rhevm-dwh build has been upgraded for Red Hat Enterprise Virtualization 3.4.
Clone Of:
Environment:
Last Closed: 2014-06-09 15:18:14 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0601 normal SHIPPED_LIVE rhevm-dwh 3.4 bug fix and enhancement update 2014-06-09 19:15:53 UTC

Description Alon Bar-Lev 2014-02-08 20:35:02 UTC
Until now rhevm-dwh was built using maven so at brew mead was used.

In 3.4 we ported build system to ant, so standard brew build can be used.

We need dist-git created for rhevm-dwh to enable management of downstream packaging.

Comment 1 Alon Bar-Lev 2014-02-14 21:02:59 UTC
dist-git was created, modifying subject.

Comment 12 Barak Dagan 2014-03-27 13:55:08 UTC
Verified on av5:
(rhevm-dwh-3.4.0-4.el6ev.src.rpm, noarch)


http://download.devel.redhat.com/brewroot/work/tasks/8817/7248817/build.log:


ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target noarch --nodeps builddir/build/SPECS/ovirt-engine-dwh.spec'], False, '/var/lib/mock/rhevm-3.4-rhel-6-build-2128938-857849/root/', None, 86400, True, 0, 250, 102, None, logger=<mock.trace_decorator.getLog object at 0x178bdc50>)

....

+ make -j1 BUILD_VALIDATION=0 PACKAGE_NAME=rhevm-dwh RPM_VERSION=3.4.0 RPM_RELEASE=4.el6ev LOCALSTATE_DIR=/var PREFIX=/usr SYSCONF_DIR=/etc BIN_DIR=/usr/bin DATAROOT_DIR=/usr/share MAN_DIR=/usr/share/man DOC_DIR=/usr/share/doc PYTHON=/usr/bin/python PYTHON_DIR=/usr/lib/python2.6/site-packages JAVA_DIR=/usr/share/java PKG_USER=ovirt PKG_GROUP=ovirt

Is this answers the question ?

Comment 13 Alon Bar-Lev 2014-03-27 15:18:49 UTC
(In reply to Barak Dagan from comment #12)
> Verified on av5:
> (rhevm-dwh-3.4.0-4.el6ev.src.rpm, noarch)
> 
> 
> http://download.devel.redhat.com/brewroot/work/tasks/8817/7248817/build.log:
> 
> 
> ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target noarch --nodeps
> builddir/build/SPECS/ovirt-engine-dwh.spec'], False,
> '/var/lib/mock/rhevm-3.4-rhel-6-build-2128938-857849/root/', None, 86400,
> True, 0, 250, 102, None, logger=<mock.trace_decorator.getLog object at
> 0x178bdc50>)
> 
> ....
> 
> + make -j1 BUILD_VALIDATION=0 PACKAGE_NAME=rhevm-dwh RPM_VERSION=3.4.0
> RPM_RELEASE=4.el6ev LOCALSTATE_DIR=/var PREFIX=/usr SYSCONF_DIR=/etc
> BIN_DIR=/usr/bin DATAROOT_DIR=/usr/share MAN_DIR=/usr/share/man
> DOC_DIR=/usr/share/doc PYTHON=/usr/bin/python
> PYTHON_DIR=/usr/lib/python2.6/site-packages JAVA_DIR=/usr/share/java
> PKG_USER=ovirt PKG_GROUP=ovirt
> 
> Is this answers the question ?

I am unsure what the question is.

Comment 14 Barak Dagan 2014-03-27 16:17:42 UTC
The question is how to verify that this BZ is verified.

Comment 15 Alon Bar-Lev 2014-03-27 16:20:13 UTC
You got rpms...

Comment 16 errata-xmlrpc 2014-06-09 15:18:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0601.html


Note You need to log in before you can comment on or make changes to this bug.